package org.processmining.plugins.actitrac.types;

/**
 * This class represents a node of a ClusterTree which has both a left and right
 * child.
 * 
 * @author Niels Lambrigts (niels.lambrigts@gmail.com)
 * @author Jochen De Weerdt (Jochen.DeWeerdt@econ.kuleuven.be)
 * @date 2011-07-29
 */
public class ClusterTreeInnerNode implements ClusterTreeNode {

	/**
	 * The left child of this node.
	 */
	private ClusterTreeNode left;

	/**
	 * The right child of this node.
	 */
	private ClusterTreeNode right;

	/**
	 * Create a new node with both left and right children being null.
	 */
	public ClusterTreeInnerNode() {
		left = null;
		right = null;
	}

	@Override
	public ClusterTreeNode getLeft() {
		return left;
	}

	@Override
	public ClusterTreeNode getRight() {
		return right;
	}

	/**
	 * Change the left child of the node to the given one.
	 * 
	 * @param left
	 *            The new left node.
	 */
	public void setLeft(ClusterTreeNode left) {
		this.left = left;
	}

	/**
	 * Change the right child of the node to the given one.
	 * 
	 * @param right
	 *            The new right node.
	 */
	public void setRight(ClusterTreeNode right) {
		this.right = right;
	}
}
