package org.processmining.plugins.actitrac.types;

/**
 * A leaf of a ClusterTree. This kind of node has a Cluster object as data and
 * no children.
 * 
 * @author Niels Lambrigts (niels.lambrigts@gmail.com)
 * @author Jochen De Weerdt (Jochen.DeWeerdt@econ.kuleuven.be)
 * @date 2011-07-29
 */
public class ClusterTreeLeaf implements ClusterTreeNode {

	/**
	 * The data of this leaf.
	 */
	private Cluster cluster;

	/**
	 * Create a new ClusterTreeLeaf with the given cluster as data.
	 */
	public ClusterTreeLeaf(Cluster cluster) {
		this.cluster = cluster;
	}

	/**
	 * Return the cluster associated with this node.
	 */
	public Cluster getCluster() {
		return cluster;
	}

	@Override
	public ClusterTreeNode getLeft() {
		return null;
	}

	@Override
	public ClusterTreeNode getRight() {
		return null;
	}
}
