package org.processmining.plugins.actitrac.ui.clustertree;

import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.Shape;
import java.awt.geom.Ellipse2D;

import javax.swing.JPanel;

/**
 * This graphical component only shows one small (static) drawing.
 * 
 * @author Niels Lambrigts (niels.lambrigts@gmail.com)
 * @author Jochen De Weerdt (Jochen.DeWeerdt@econ.kuleuven.be)
 * @date 2011-08-01
 */
public class JClusterSplitBox extends JPanel {

	/**
	 * This component will attempt not to generate a Red Ring of Death, but is
	 * unable to give any guarantee.
	 */
	private class XBox extends JPanel {
		private static final long serialVersionUID = -7981048513421790229L;

		XBox() {
			this.setOpaque(false);
			this.setPreferredSize(new Dimension(30, 30));
		}

		@Override
		protected void paintComponent(Graphics g) {
			// Draw an X in a circle.
			super.paintComponent(g);
			Graphics2D g2 = (Graphics2D) g;
			g2.setStroke(new BasicStroke(2));
			g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
					RenderingHints.VALUE_ANTIALIAS_ON);
			Ellipse2D e = new Ellipse2D.Double(1, 1, this.getWidth() - 3,
					this.getHeight() - 3);
			Color before = g2.getColor();
			g2.setColor(new Color(240, 240, 240));
			g2.fill(e);
			g2.setColor(before);
			Shape clip = g2.getClip();
			g2.clip(e);
			g2.drawLine(1, 1, this.getWidth() - 2, this.getHeight() - 2);
			g2.drawLine(1, this.getWidth() - 2, this.getHeight() - 2, 1);
			g2.setClip(clip);
			g2.draw(e);
		}
	}

	private static final long serialVersionUID = 9109706153806098041L;

	/**
	 * Create a new static small component that basically does nothing but has a
	 * little drawing.
	 */
	public JClusterSplitBox() {
		this.add(new XBox());
		this.setOpaque(false);
	}
}
