package org.processmining.plugins.actitrac.ui.clustertree;

import java.awt.Color;

import org.processmining.plugins.actitrac.types.Cluster;
import org.processmining.plugins.actitrac.types.GroupedXLog;
import org.processmining.plugins.actitrac.ui.JClusteringSidePane;


/**
 * An implementation of the default JClusterBox that differs in only one aspect:
 * the background colour.
 * 
 * @author Niels Lambrigts (niels.lambrigts@gmail.com)
 * @author Joch-en De Weerdt (Jochen.DeWeerdt@econ.kuleuven.be)
 * @date 2011-08-01
 */
public class JRootBox extends JClusterBox {

	private static final long serialVersionUID = 8932961570990265632L;

	/**
	 * Create a new JRootBox for the given Cluster. The given GroupedXLog
	 * should be the original log, of which the given Cluster is part. The given
	 * JClusteringSidePane will be notified when this JRootBox is clicked, so
	 * that it may take appropriate action.
	 * 
	 * @param cluster
	 *            The Cluster to represent.
	 * @param parentlog
	 *            The log of which this Cluster is a part.
	 * @param infopane
	 *            The JClusteringSidePane which must be notified when this
	 *            JClusterBox is clicked.
	 */
	public JRootBox(Cluster cluster, GroupedXLog parentlog,
			JClusteringSidePane infopane) {
		super(cluster, parentlog, infopane);
		this.setBackground(new Color(240, 211, 211));
	}

}
