package org.processmining.plugins.actitrac.utils;

import java.awt.Point;

/**
 * This class describes a line. Lines have a starting point and an end point.
 * 
 * @author Niels Lambrigts (niels.lambrigts@gmail.com)
 * @author Jochen De Weerdt (Jochen.DeWeerdt@econ.kuleuven.be)
 * @date 2011-07-29
 */
public class Line {

	/**
	 * The starting point of the line.
	 */
	public Point start;

	/**
	 * The end point of the line.
	 */
	public Point end;

	/**
	 * Create a new Line with both start and end initialised to a default of
	 * "new Point()".
	 */
	public Line() {
		start = new Point();
		end = new Point();
	}

	/**
	 * Create a new line with the given start and end points.
	 * 
	 * @param start
	 *            The start point.
	 * @param end
	 *            The end point.
	 */
	public Line(Point start, Point end) {
		this.start = start;
		this.end = end;
	}
}
