package org.processmining.plugins.actitrac.utils;

import org.deckfour.xes.classification.XEventAttributeClassifier;

/**
 * An implementation of {@link XEventAttributeClassifier}. This classifier will
 * consider two XEvents to be similar when their name ("concept:name") and
 * status ("lifecycle:transition") are equal.
 * 
 * @author Niels Lambrigts (niels.lambrigts@gmail.com)
 * @author Jochen De Weerdt (Jochen.DeWeerdt@econ.kuleuven.be)
 * @date 2011-07-29
 */
public class XEventNameAndTransitionClassifier extends
		XEventAttributeClassifier {

	/**
	 * Creates a new {@link XEventAttributeClassifier} which classifies XEvents
	 * according to their "concept:name" and "lifecycle:transition".
	 */
	public XEventNameAndTransitionClassifier() {
		super("XEventNameAndTransitionClassifier", new String[] {
				"concept:name", "lifecycle:transition" });
	}

}
